﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{873C8BF6-AAB8-4ECC-AEBE-301E391FFD9A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Repository</RootNamespace>
    <AssemblyName>Repository</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.2.0\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.ValueTuple.4.5.0\lib\netstandard1.0\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="GRGDatabase.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>GRGDatabase.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="GRGDatabase.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="GRGDatabase.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>GRGDatabase.edmx</DependentUpon>
    </Compile>
    <Compile Include="Models\Entity\Airline.cs" />
    <Compile Include="Models\Entity\Airplane.cs" />
    <Compile Include="Models\Entity\Airport.cs" />
    <Compile Include="Models\Entity\City.cs" />
    <Compile Include="Models\Entity\Flight.cs" />
    <Compile Include="Models\Entity\Passanger.cs" />
    <Compile Include="Models\Entity\Passport.cs" />
    <Compile Include="Models\Entity\Ticket.cs" />
    <Compile Include="Models\ParamModels\BookingParams.cs" />
    <Compile Include="Models\ViewModels\ContactViewModel.cs" />
    <Compile Include="Models\ViewModels\FlightReviewViewModel.cs" />
    <Compile Include="Models\ViewModels\FlightViewModel.cs" />
    <Compile Include="Models\ViewModels\ForgotPasswordViewModel.cs" />
    <Compile Include="Models\ViewModels\LoginViewModel.cs" />
    <Compile Include="Models\ViewModels\AddPassangerViewModel.cs" />
    <Compile Include="Models\ViewModels\RegisterViewModel.cs" />
    <Compile Include="Models\ViewModels\TicketViewModel.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SP_AirLines_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Airplanes_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Airports_GetAllByCity_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Airports_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Airports_GetForWeb_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAgreements_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAllFromCity_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAllFromToCityWithDirection_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAllFromToCityWithOpen_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAllFromToCityWithOther_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAllFromToCity_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAllToCity_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetAvailability_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetByCity_ForService_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CharterFlights_GetManifest_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_CityZone_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_City_GetAllActiveForFlights_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_City_GetAllActiveForHotels_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_City_GetAllActiveForTrains_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_City_GetAllByCountry_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_City_GetAllByPersonnel_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_City_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Country_GetAllActiveForHotels_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Country_GetAllActive_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Country_GetAllUsed_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Country_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_DefineCodes_Get_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Flights_GetAllByCity_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Flights_GetForCharterFlights_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Flights_GetListForManifest_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Flights_GetManifestByTicket_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Flights_GetManifest_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Flights_GetSchedules_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Flights_GetTickets_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Persons_GetByAgreement_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Persons_GetFlightTickets_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_ReservationsPersons_GetAll_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
    <Compile Include="SP_Reservations_Confirm_Result.cs">
      <DependentUpon>GRGDatabase.tt</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <EntityDeploy Include="GRGDatabase.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>GRGDatabase.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="GRGDatabase.edmx.diagram">
      <DependentUpon>GRGDatabase.edmx</DependentUpon>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="GRGDatabase.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>GRGDatabase.edmx</DependentUpon>
      <LastGenOutput>GRGDatabase.Context.cs</LastGenOutput>
    </Content>
    <Content Include="GRGDatabase.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>GRGDatabase.edmx</DependentUpon>
      <LastGenOutput>GRGDatabase.cs</LastGenOutput>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>